
Infrastructure - Task #5463

Update and release OneMercury to work with Tomcat 7

2014-06-04 16:19 - Skye Roseboom

Status: Closed Start date: 2014-06-04

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: 2014.26-Block.4.1   

Milestone: CCI-1.2 Story Points:  

Product Version: 1.2.7   

Description

2 issues discovered:

1. Compatibility with DWR and Tomcat 7.   Updated DWR request handler config to work with tomcat 7

Main search screen was popping up a alert ('no session') dialog.  Also the place name drop downs on main search screens

were not working (place names for USA states, place names for countries)

2. Use of jstl substring function worked different in tomcat 7 / servlet 3.   Updated syntax to work with tomcat 7

Search result screen would not render at all, displays JSP/Servlet error stack trace.

Requires release of one-mercury to correspond with tomcat 7 upgrade.

Related issues:

Related to Infrastructure - Story #5462: CCI 1.2.7 Release Closed 2014-06-12 2014-07-05

History

#1 - 2014-06-04 16:20 - Skye Roseboom

- Parent task deleted (#5462)

#2 - 2014-06-04 16:20 - Skye Roseboom

- Status changed from In Progress to Testing

Changes copied to release branch and pom updated. 

Needs testing in beta / stable env.

#3 - 2014-06-10 17:17 - Skye Roseboom

- Description updated

#4 - 2014-06-30 22:28 - Robert Waltz

- Product Version changed from * to 1.2.7

- Category set to d1_mercury

- Target version set to 2014.26-Block.4.1

- Milestone changed from None to CCI-1.2

#5 - 2014-07-08 19:37 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed
